/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.findfile;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Optional;
import java.util.stream.Stream;

/**
 *
 * @author omozegieaziegbe
 */
public class FindFile {

    public static void main(String[] args) {
        
        Path folderPath = Paths.get("/Users/omozegieaziegbe/development/javacodegeeks/");
        String fileNameToFind = "file.log";
        
        try (Stream<Path> paths = Files.walk(folderPath)) {
            Optional<Path> foundFile = paths.filter(Files::isRegularFile)
                                            .filter(path -> path.getFileName().toString().equals(fileNameToFind))
                                            .findFirst();

            foundFile.ifPresent(System.out::println); // Process the found file
        } catch (IOException e) {
        }
    }
}