/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.niofiletraversal;

/**
 *
 * @author omozegieaziegbe
 */
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.stream.Stream;

public class NIOFileTraversal {

    public static void main(String[] args) {

        Path folderPath = Paths.get("/Users/omozegieaziegbe/development/javacodegeeks/"); // Adjust this path to match your folder structure
        try (Stream<Path> paths = Files.walk(folderPath)) {
            paths.filter(Files::isRegularFile)
                    .forEach(System.out::println); // Process each file
        } catch (IOException e) {
        }
    }
}
