/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.filetraversal;

import java.io.File;

/**
 *
 * @author omozegieaziegbe
 */
public class FileTraversal {

    public static void main(String[] args) {

        // Specify the directory path
        String directoryPath = "/Users/omozegieaziegbe/development/javacodegeeks/";

        // Using File class (pre-Java 7)
        File directory = new File(directoryPath);
        traverseFiles(directory);
    }

    public static void traverseFiles(File folder) {
        if (folder.isDirectory()) {
            File[] files = folder.listFiles();
            if (files != null) {
                for (File file : files) {
                    if (file.isDirectory()) {
                        traverseFiles(file); // Recursive call for subdirectories
                    } else {
                        System.out.println("File: " + file.getAbsolutePath());
                    }
                }
            }
        }
    }
}